# KwaiNN-Slim (knnslim)

***
KwaiNNSlim is an efficient and easy-to-use deep learning model compression framework, which contains features like
pruning, model conversion etc.

## Installation
***
...
## Basic Module
***
...
## Project Architecture
- [configs](.configs): ADMM config files
- [docs](.docs): Documents
- [knnslim](.knnslim): Code for model compression
    - [callback](.knnslim/callback): pruner callback and distiller callback
    - [distill](.knnslim/distill): code for distillation
    - [graph](.knnslim/graph): foundation for computational graph and dependencies capture, resolving, and etc
    - [prune](.knnslim/prune): code for pruning: pruners, pruning methods, and pruning criterions
    - [utils](.knnslim/utils): Utility classes and functions
- [examples](.examples): Unit tests